SystemOrganization addCategory: #EstancieroGrafico!

Morph subclass: #CasilleroGrafico
	instanceVariableNames: 'tableroGrafico casillero'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!CasilleroGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2012 04:28'!
creaUnCasilleroConTablero: tableroGrafico
	| casilleroNoGrafico casilleroStandard nombreCasillero |
	
	"Crear Casillero No Grafico"
		
	casilleroNoGrafico := Casillero creaUnaCasilleroEnElTablero: tableroGrafico tablero.
	
	"Crear Casillero Grafico"
	
	casilleroStandard := self creaUnCasilleroGraficoDeTipo: 'Casillero'.
	
	"Juntar Grafico Con No Grafico"
	casilleroStandard casillero: casilleroNoGrafico.
		
	^casilleroStandard.
! !

!CasilleroGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:15'!
creaUnCasilleroGraficoDeTipo: unTipo
	| casilleroStandard fondoCasillero textoCasillero textoTipoCasillero nombreCasillero standardsGenerales |
	
	standardsGenerales := StandardsGraficos new.
	casilleroStandard := self new. 
	
	fondoCasillero := casilleroStandard fondoCasilleroStandard.
	casilleroStandard addMorph: fondoCasillero.
	
	nombreCasillero := UIManager default request: 'Ingrese el nombre a mostrar para el casillero'.
	textoCasillero := casilleroStandard textoCasilleroStandardPara: nombreCasillero en: fondoCasillero.
	textoCasillero position: ( standardsGenerales posicionParaTexto: textoCasillero en: fondoCasillero ) .
	casilleroStandard  addMorph: textoCasillero.
	
	textoTipoCasillero := casilleroStandard textoTipoCasilleroStandardPara: unTipo en: fondoCasillero.
	textoTipoCasillero position: ( standardsGenerales posicionParaTextoTipo: textoTipoCasillero en: fondoCasillero ) .
	casilleroStandard  addMorph: textoTipoCasillero.
	
	^casilleroStandard.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:34'!
caracteristicasDeFondo: fondoCasillero
	fondoCasillero color: self colorFondoParaCasillero.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:18'!
caracteristicasDeTexto: textoCasillero
	textoCasillero color: self colorParaTextoCasilleroStandard.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:19'!
caracteristicasDeTextoTipo: textoCasillero
	textoCasillero color: self colorParaTextoTipoCasilleroStandard.! !

!CasilleroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:42'!
casillero
	^ casillero! !

!CasilleroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:42'!
casillero: unCasillero
	casillero := unCasillero
! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:22'!
colorFondoParaCasillero
	^Color r: 0.378 g: 0.608 b: 0.598.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/16/2012 11:43'!
colorParaTextoCasilleroStandard
	^Color white.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/16/2012 11:43'!
colorParaTextoTipoCasilleroStandard
	^Color transparent.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:21'!
fondoCasilleroStandard
	| fondoCasillero |

	fondoCasillero := RectangleMorph new.
	fondoCasillero extent: self tamaoStandardParaCasillero.
	self caracteristicasDeFondo: fondoCasillero.
	^fondoCasillero.! !

!CasilleroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:41'!
tableroGrafico
	^ tableroGrafico! !

!CasilleroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:41'!
tableroGrafico: unTableroGrafico
	tableroGrafico := unTableroGrafico
! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/16/2012 11:43'!
tamaoStandardParaCasillero.
	^150@120.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:17'!
textoCasilleroStandardPara: unTexto en: unCasillero
	| textoCasillero |

	textoCasillero := StringMorph new.
	textoCasillero contents: unTexto.
	textoCasillero position: ( StandardsGraficos new posicionParaTexto: textoCasillero en: unCasillero ).
	self caracteristicasDeTexto: textoCasillero.
	^textoCasillero.! !

!CasilleroGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:18'!
textoTipoCasilleroStandardPara: unTexto en: unCasillero
	| textoCasillero |

	textoCasillero := StringMorph new.
	textoCasillero contents: unTexto.
	textoCasillero position: ( StandardsGraficos new posicionParaTextoTipo: textoCasillero en: unCasillero ).
	self caracteristicasDeTextoTipo: textoCasillero.
	^textoCasillero.! !

CasilleroGrafico subclass: #PremioGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!PremioGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2012 04:28'!
creaUnPremioConTablero: tableroGrafico
	| premioNoGrafico premioStandard nombrePremio |
	
	"Crear Premio No Grafico"
		
	premioNoGrafico := Premio creaUnPremioEnElTablero: tableroGrafico tablero.
	
	"Crear Premio Grafico"
	
	premioStandard := self creaUnCasilleroGraficoDeTipo: 'Premio' .
	
	"Juntar Grafico Con No Grafico"
	premioStandard casillero: premioNoGrafico.
		
	^premioStandard.! !

CasilleroGrafico subclass: #PrisionGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!PrisionGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2012 04:28'!
creaUnaPrisionConTablero: tableroGrafico
	| prisionNoGrafico prisionStandard nombrePrision |
	
	"Crear Prision No Grafico"
		
	prisionNoGrafico := Casillero creaUnaPrisionEnElTablero: tableroGrafico tablero.
	
	"Crear Prision Grafico"
	
	prisionStandard := self creaUnCasilleroGraficoDeTipo: 'Prision'.
	
	"Juntar Grafico Con No Grafico"
	prisionStandard casillero: prisionNoGrafico.
		
	^prisionStandard.! !

CasilleroGrafico subclass: #PropiedadGrafico
	instanceVariableNames: 'precio dueo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

PropiedadGrafico subclass: #CampoGrafico
	instanceVariableNames: 'provinciaGrafico valorRenta costoConstruccionEstancia cantidadEstancias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!CampoGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2012 04:27'!
creaUnCampoen: unaProvincia conPrecio: unPrecio conValorRenta: unaRenta conUnCostoDeConstruccionDeEstancia: unCosto conDueo: jugadorGrafico
	| campoNoGrafico campoStandard nombreCampo |
	
	"Crear Campo No Grafico"
		
	campoNoGrafico := Campo unCampoEn: unaProvincia conPrecio: unPrecio conValorRenta: unaRenta conUnCostoDeConstruccionDeEstancia: unCosto conDueo: jugadorGrafico jugador.
	
	"Crear Campo Grafico"
	
	campoStandard := self creaUnCasilleroGraficoDeTipo: 'Campo'.
	
	"Juntar Grafico Con No Grafico"
	campoStandard casillero: campoNoGrafico.
		
	^campoStandard.! !

PropiedadGrafico subclass: #EmpresaGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

EmpresaGrafico subclass: #EmpresaConRentaFijaGrafico
	instanceVariableNames: 'rentaFija'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!EmpresaConRentaFijaGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2012 04:27'!
creaUnaEmpresaConTablero: tableroGrafico ConRentaFija: unaRentaFija ConPrecio: unPrecio conDueo: jugadorGrafico
	| empresaNoGrafica empresaStandard nombreEmpresa |
	
	"Crear Empresa No Grafico"
		
	empresaNoGrafica := EmpresaConRentaFija creaUnaEmpresaConRentaFija: unaRentaFija EnElTablero: tableroGrafico tablero ConPrecio: unPrecio conDueo: jugadorGrafico jugador.
	
	"Crear Empresa Grafico"
	
	empresaStandard := self creaUnCasilleroGraficoDeTipo: 'Empresa Con Renta'.
	
	"Juntar Grafico Con No Grafico"
	empresaStandard casillero: empresaNoGrafica.
		
	^empresaStandard.! !

!EmpresaGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2012 04:27'!
creaUnaEmpresaConTablero: tableroGrafico ConPrecio: unPrecio conDueo: jugadorGrafico
	| empresaNoGrafica empresaStandard nombreEmpresa |
	
	"Crear Empresa No Grafico"
		
	empresaNoGrafica := Empresa creaUnaEmpresaEnElTablero: tableroGrafico tablero ConPrecio: unPrecio conDueo: jugadorGrafico jugador.
	
	"Crear Empresa Grafico"
	
	empresaStandard := self creaUnCasilleroGraficoDeTipo: 'Empresa'.
	
	"Juntar Grafico Con No Grafico"
	empresaStandard casillero: empresaNoGrafica.
		
	^empresaStandard.! !

CasilleroGrafico subclass: #SalidaGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!SalidaGrafico class methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2012 04:30'!
creaUnaSalidaConTablero: tableroGrafico
	| salidaNoGrafica salidaStandard nombreSalida |
	
	"Crear Salida No Grafico"
		
	salidaNoGrafica := Salida creaUnaSalidaEnElTablero: tableroGrafico tablero.
	
	"Crear Salida Grafico"
	
	salidaStandard := self creaUnCasilleroGraficoDeTipo: 'Salida'.
	
	"Juntar Grafico Con No Grafico"
	salidaStandard casillero: salidaNoGrafica.
		
	^salidaStandard.! !

!SalidaGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:36'!
colorFondoParaCasillero
	^Color gray.! !

!SalidaGrafico methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 03:37'!
colorParaTextoCasilleroStandard
	^Color orange.! !

StringMorph subclass: #StringMorphFede
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

BorderedMorph subclass: #Dado
	instanceVariableNames: 'caras valorDado isStopped choque fin'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!Dado class methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 13:48'!
generarDado
	| transformationMorph instance |
	
	instance := self new.
	super new initialize.
	instance extent: instance tamaoDeCaraDeDado.
	instance useGradientFill.
	instance borderWidth: instance tamaoDeBorde.
	instance useRoundedCorners.
	instance setBorderStyle: #complexRaised.
	instance fillStyle direction: instance extent.
	instance position: instance posicionParaDado.
	instance color: instance colorStandardParaFondoDado.
	instance borderColor: instance colorDeBorde.
	instance valorDado: 1.
	instance caras: 6.
	instance isStopped: true.
	instance choque: 1.
	instance fin: false.
	instance openInWorld.
	^ instance
! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:21'!
cambiaMovimiento
	self isStopped: self isStopped not.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/25/2012 15:14'!
cara1
	^self lugaresParaPunto: 1! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/25/2012 15:14'!
cara2
	^self lugaresParaPunto: 2.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/25/2012 15:14'!
cara3
	^self lugaresParaPunto: 3.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/25/2012 15:14'!
cara4
	^self lugaresParaPunto: 4.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/25/2012 15:14'!
cara5
	^self lugaresParaPunto: 5.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/25/2012 15:14'!
cara6
	^self lugaresParaPunto: 6.! !

!Dado methodsFor: 'accessing' stamp: 'Federico 11/25/2012 15:08'!
caras
	^ caras! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/24/2012 12:34'!
caras: cantidadCaras
	caras := cantidadCaras.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/1/2012 03:18'!
choque
	^choque.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/1/2012 03:23'!
choque: cantChoque
	choque := cantChoque.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 05:45'!
colorDeBorde
	^Color black.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:36'!
colorParaPunto.
	^Color black.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 05:42'!
colorStandardParaFondoDado
	^Color white.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:34'!
drawDotOn: aCanvas at: aPoint
	aCanvas fillOval: (Rectangle 
			center: self position + (self extent* aPoint) 
			extent: self extent/6) 
		  color: self colorParaPunto. ! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:36'!
drawOn: aCanvas
	|theCanvas|

	theCanvas:= aCanvas asAlphaBlendingCanvas: 0.5.
	super drawOn: theCanvas.
	(self perform: self symbolFromDieValueString ) do: [:aPoint | self drawDotOn: theCanvas at: aPoint].! !

!Dado methodsFor: 'accessing' stamp: 'Federico 12/2/2012 04:39'!
fin
	^ fin! !

!Dado methodsFor: 'accessing' stamp: 'Federico 12/2/2012 04:39'!
fin: unEstado
	fin := unEstado! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:25'!
finDePantallaY
	^StandardsGraficos new finDePantallaY y - self extent y.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:36'!
handlesMouseDown: anEvent
	^true! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/1/2012 03:23'!
incChoque
	self choque: self choque + 1.! !

!Dado methodsFor: 'accessing' stamp: 'Federico 11/25/2012 15:08'!
isStopped
	^ isStopped! !

!Dado methodsFor: 'accessing' stamp: 'Federico 11/25/2012 15:08'!
isStopped: bool
	isStopped := bool
! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/24/2012 12:23'!
lugaresParaPunto: puntosPedidos
	^{{0.5@0.5}.{0.25@0.25 . 0.75@0.75}.{0.25@0.25 . 0.75@0.75 . 0.5@0.5}.{0.25@0.25 . 0.75@0.25 . 0.75@0.75 . 0.25@0.75}.{0.25@0.25 . 0.75@0.25 . 0.75@0.75 . 0.25@0.75 . 0.5@0.5}.{0.25@0.25 . 0.75@0.25 . 0.75@0.75 . 0.25@0.75 . 0.25@0.5 . 0.75@0.5}} at: puntosPedidos.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:21'!
mouseDown: anEvent
	anEvent redButtonPressed ifTrue: [self cambiaMovimiento. ] .
	self fin ifTrue: [ UIManager default inform: 'El dado ya esta parado no puede tirar de nuevo'.. ] .! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:33'!
nuevaPosicion
	
	| posY nuevaPosY finDePantalla |
	
	finDePantalla := self finDePantallaY.
	
	self choque even
	
		ifTrue: 
	[ posY := self position y - self velocidad.  posY < self proximaRectaDeChoque ifTrue: [ self incChoque. ] . ] 
		
		ifFalse: 
	[ posY := self position y + self velocidad.  posY > finDePantalla ifTrue: [ self incChoque. ] . ] . 

	finDePantalla - self extent y < self proximaRectaDeChoque ifTrue: [ self cambiaMovimiento.  self fin: true. posY := finDePantalla.]. 
	
	nuevaPosY := posY.
	
	^ ( self position x )@nuevaPosY.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/1/2012 02:25'!
posicionParaDado
	 ^50@50.
! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:16'!
proximaRectaDeChoque
	^200 * self choque / 2.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:32'!
step
	( self isStopped or: self fin )
		ifFalse: 
			[self valorDado: (1 to: self caras) atRandom .
			self position: self nuevaPosicion . ] .! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/1/2012 02:42'!
stepTime
	^50.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/25/2012 15:13'!
symbolFromDieValueString 
	^('cara', self valorDado asString)asSymbol! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/17/2012 05:57'!
tamaoDeBorde
	^2.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/24/2012 12:35'!
tamaoDeCaraDeDado
	^60@60.! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 11/21/2012 19:50'!
tamaoPunto
	^10@10! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:41'!
tirate
	
	| textoAMostrar |
	
	self fin ifTrue: [ ^self valorDado. ].
	self isStopped ifTrue: [ textoAMostrar := 'Tire el dado que esta en la pantalla (presione click sobre el)'. ] ifFalse: [ textoAMostrar := 'Espere que el dado termine'. ] .
	UIManager default inform: textoAMostrar.
	^self tirate.! !

!Dado methodsFor: 'accessing' stamp: 'Federico 11/25/2012 15:08'!
valorDado
	^ valorDado! !

!Dado methodsFor: 'accessing' stamp: 'Federico 11/25/2012 15:08'!
valorDado: unValor
	valorDado := unValor
! !

!Dado methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:37'!
velocidad
	^10.! !

Object subclass: #BancoGrafico
	instanceVariableNames: 'propiedadesGraficas tableroGrafico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

Object subclass: #EstanciaGrafico
	instanceVariableNames: 'campoGrafico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

Object subclass: #JuegoGrafico
	instanceVariableNames: 'juego jugadoresGraficos tableroGrafico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

Object subclass: #JugadorGrafico
	instanceVariableNames: 'jugador'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!JugadorGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 04:23'!
jugador
	^ jugador! !

!JugadorGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 04:23'!
jugador: unJugador
	jugador := unJugador
! !

Object subclass: #LibreGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

Object subclass: #PresoGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

Object subclass: #StandardGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

StandardGrafico subclass: #GarcaGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

StandardGrafico subclass: #ImperialistaGrafico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

Object subclass: #StandardsGraficos
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!StandardsGraficos methodsFor: 'as yet unclassified' stamp: 'Federico 11/16/2012 11:46'!
espacioXParaCentradoParaTextoDe: tamaoTexto en: tamao
	^ ( tamao - tamaoTexto / 2 ) floor.
	! !

!StandardsGraficos methodsFor: 'as yet unclassified' stamp: 'Federico 11/16/2012 11:46'!
espacioYParaCentradoParaTextoDe: tamaoTexto en: tamao
	^10.
	! !

!StandardsGraficos methodsFor: 'as yet unclassified' stamp: 'Federico 12/2/2012 14:25'!
finDePantallaY
	World submorphs do: [:morph | morph class = TaskbarMorph ifTrue: [ ^morph position . ] . ] .! !

!StandardsGraficos methodsFor: 'as yet unclassified' stamp: 'Federico 11/16/2012 11:46'!
posicionParaTexto: textoCasillero en: unCasillero
	| x y tamaoTexto espaciadoX espaciadoY |
	
	x := unCasillero extent x.
	y := unCasillero extent y.
	tamaoTexto := textoCasillero extent x.
	espaciadoX := self espacioXParaCentradoParaTextoDe: tamaoTexto en: x.
	espaciadoY := self espacioYParaCentradoParaTextoDe: tamaoTexto en: y.
	^espaciadoX@espaciadoY.
	! !

!StandardsGraficos methodsFor: 'as yet unclassified' stamp: 'Federico 11/16/2012 11:46'!
posicionParaTextoTipo: textoTipo en: unCasillero
	| x y tamaoTexto espaciadoX espaciadoY |
	
	x := unCasillero extent x.
	y := unCasillero extent y.
	tamaoTexto := textoTipo extent x.
	espaciadoX := self espacioXParaCentradoParaTextoDe: tamaoTexto en: x.
	espaciadoY := y - textoTipo extent y - 5.
	^espaciadoX@espaciadoY.
	! !

Object subclass: #TableroGrafico
	instanceVariableNames: 'tablero bancoGrafico casillerosGraficos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EstancieroGrafico'!

!TableroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:34'!
bancoGrafico
	^ bancoGrafico! !

!TableroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:35'!
bancoGrafico: unBancoGrafico
	bancoGrafico := unBancoGrafico! !

!TableroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:34'!
casillerosGraficos
	^ casillerosGraficos! !

!TableroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:34'!
casillerosGraficos: unCasilleroGrafico
	casillerosGraficos := unCasilleroGrafico! !

!TableroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:34'!
tablero
	^ tablero! !

!TableroGrafico methodsFor: 'accessing' stamp: 'Federico 11/15/2012 03:34'!
tablero: unTablero
	tablero := unTablero! !
